Bug 19125 - SMTP Appender should support more of the JavaMail configurations
SMTP Appender should support more of the JavaMail configurations
Status: RESOLVED FIXED
Product: Log4j
Classification: Unclassified
Component: Appender
1.2
Other other
: P3 enhancement
: ---
Assigned To: log4j-dev
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2003-04-17 18:56 UTC by Jon Wilmoth
Modified: 2006-08-31 09:54 UTC (History)
1 user (show)



Attachments
Patch to add cc and priority options (5.87 KB, patch)
2003-04-18 17:53 UTC, Jon Wilmoth
Details | Diff
patch against 11/5/2005 head with priority and cc options (7.13 KB, patch)
2005-11-06 03:11 UTC, Jon Wilmoth
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Wilmoth 2003-04-17 18:56:08 UTC
There are a number of configurations available to the SMTP Appender present in 
the JavaMail api (i.e. CC lists and display names for email addresses).
Comment 1 Jon Wilmoth 2003-04-18 17:53:40 UTC
Created attachment 5892 [details]
Patch to add cc and priority options
Comment 2 Jon Wilmoth 2004-02-09 01:34:51 UTC
Any chance this patch can be reviewed and if accepted applied to CVS?
Comment 3 Jon Wilmoth 2004-03-24 06:34:13 UTC
Does anyone check these bugs/patches????????
Comment 4 Paul Smith 2004-03-24 20:51:21 UTC
Jon:

a) us developers work at jobs.  This is all volunteer.  Please be patient (& 
nicer too, if you could). 

b) I cannot seem to properly apply your patch against the current HEAD of the 
log4j project, it only seems to add the getBufferSize property when I apply this 
patch throught Eclipse, and the result otherwise looks odd when I try it via 
other means. I think this is the result of your patch being made against versio 
1.31 of the class, and it's since moved on to version 1.34.

Could you create a new Unified diff format patch against the latest HEAD for us 
to consider (Having a look at your patch file I can see no reason against the 
change).

Paul Smith
Comment 5 Ceki Gulcu 2004-03-25 15:04:03 UTC
Paul, even if Jon has legitimate reasons to complain about the lack of reaction 
on the part of log4j committers, please do not apply a patch that you do not 
understand. I was unable to understand Jon's patch.  

-- 
Ceki
Comment 6 Yoav Shapira 2004-12-13 16:41:22 UTC
If you still care about this, enough to submit a patch in proper diff -u 
format, against CVS HEAD, then please do so when reopening this issue.
Comment 7 Jon Wilmoth 2005-11-06 03:11:40 UTC
Created attachment 16885 [details]
patch against 11/5/2005 head with priority and cc options
Comment 8 Jon Wilmoth 2005-11-06 03:12:38 UTC
Patch against head provided.
Comment 9 Curt Arnold 2006-08-31 16:54:24 UTC
I've dropped the X-Priority header support.  My understanding is that X-Priority is not standard (hence the 
X-) and was originally intended to indicate the timeliness of the message so that less urgent messages 
(say involving a conference 6 months in advance) could be sent at night when long-distance rates were 
cheaper.  There is also a X-MS-Priority used by MS Outlook.  Since the JavaMail API people didn't decide to 
add it the API level, I hesitant to do it here.  I did add a bcc property and added an extension point (the 
addressMessage method) that you could override to do any additional tweaking of the message that is 
desired.

Committed in rev 438983 against 1.2 branch and 438984 against trunk.